package com.hotent.uc.params.matrix;

import com.hotent.base.query.PageList;
import com.hotent.uc.model.Matrix;
import com.hotent.uc.model.MatrixColField;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

public class OneMatrixDataVo {

    @ApiModelProperty(name="colFields",notes="矩阵的条件字段和角色字段集合")
    private List<MatrixColField> colFields;

    @ApiModelProperty(name="matrix",notes="矩阵的详情")
    private Matrix matrix;

    @ApiModelProperty(name="pageList",notes="矩阵配置数据")
    private PageList<Map<String, Object>> pageList;

    public List<MatrixColField> getColFields() {
        return colFields;
    }

    public void setColFields(List<MatrixColField> colFields) {
        this.colFields = colFields;
    }

    public Matrix getMatrix() {
        return matrix;
    }

    public void setMatrix(Matrix matrix) {
        this.matrix = matrix;
    }

    public PageList<Map<String, Object>> getPageList() {
        return pageList;
    }

    public void setPageList(PageList<Map<String, Object>> pageList) {
        this.pageList = pageList;
    }
}
